org.eclipse.graphiti.ui.internal.parts

## Class CompositeConnectionEditPart

- java.lang.Object
- - org.eclipse.gef.editparts.AbstractEditPart
  - - org.eclipse.gef.editparts.AbstractGraphicalEditPart
    - - org.eclipse.gef.editparts.AbstractConnectionEditPart
      - - org.eclipse.graphiti.ui.platform.GraphitiConnectionEditPart
        - - org.eclipse.graphiti.ui.internal.parts.ConnectionEditPart
          - - org.eclipse.graphiti.ui.internal.parts.CompositeConnectionEditPart

All Implemented Interfaces:
  IAdaptable, org.eclipse.gef.ConnectionEditPart, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.LayerConstants, org.eclipse.gef.NodeEditPart, org.eclipse.gef.RequestConstants, IFeatureProviderHolder, IConfigurationProviderHolder, IAnchorContainerEditPart, IConnectionEditPart, IPictogramElementEditPart

    public class CompositeConnectionEditPart
    extends ConnectionEditPart

### Field Summary

### Fields inherited from interface org.eclipse.gef.EditPart

`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

### Fields inherited from interface org.eclipse.gef.LayerConstants

`CONNECTION_LAYER, FEEDBACK_LAYER, GRID_LAYER, GUIDE_LAYER, HANDLE_LAYER, PRIMARY_LAYER, PRINTABLE_LAYERS, SCALABLE_LAYERS, SCALED_FEEDBACK_LAYER`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
Constructor and Description
`CompositeConnectionEditPart(IConfigurationProviderInternal configurationProvider, CompositeConnection connection, PictogramsEditPartFactory factory, org.eclipse.gef.EditPart contextParent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `forceVisualRefresh()`
`Collection<org.eclipse.gef.ConnectionEditPart>` `getEditParts()`
`ConnectionEditPart` `getOriginallySelectedChild()` Returns the child connection that has been selected originally.
`org.eclipse.gef.EditPart` `getTargetEditPart(org.eclipse.gef.Request request)`
`void` `setOriginallySelectedChild(ConnectionEditPart originallySelectedChild)` Sets the child connection that has been selected originally.
`void` `setSelected(int value)`
`void` `setSource(org.eclipse.gef.EditPart editPart)`
`void` `setTarget(org.eclipse.gef.EditPart editPart)`

### Methods inherited from class org.eclipse.graphiti.ui.internal.parts.ConnectionEditPart

`activate, deactivate, getAdapter, getConfigurationProvider, getFeatureProvider, getModelChildren, getModelSourceConnections, getModelTargetConnections, getPictogramElement, getPictogramElementDelegate, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor, performRequest, refreshDecorators, toString`

### Methods inherited from class org.eclipse.gef.editparts.AbstractConnectionEditPart

`addNotify, getConnectionFigure, getDragTracker, getSource, getTarget, refresh, removeNotify, setParent`

### Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, isSelectable, removeNodeListener, setLayoutConstraint`

### Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getViewer, hasFocus, installEditPolicy, isActive, removeEditPartListener, removeEditPolicy, setFocus, setModel, showSourceFeedback, showTargetFeedback, understandsRequest`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.GraphicalEditPart

`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

### Methods inherited from interface org.eclipse.gef.EditPart

`addEditPartListener, addNotify, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, showSourceFeedback, showTargetFeedback, understandsRequest`

### Constructor Detail

#### CompositeConnectionEditPart

    public CompositeConnectionEditPart(IConfigurationProviderInternal configurationProvider,
                                       CompositeConnection connection,
                                       PictogramsEditPartFactory factory,
                                       org.eclipse.gef.EditPart contextParent)

### Method Detail

#### setSource

    public void setSource(org.eclipse.gef.EditPart editPart)

Specified by:
  `setSource` in interface `org.eclipse.gef.ConnectionEditPart`
Overrides:
  `setSource` in class `org.eclipse.gef.editparts.AbstractConnectionEditPart`

#### setTarget

    public void setTarget(org.eclipse.gef.EditPart editPart)

Specified by:
  `setTarget` in interface `org.eclipse.gef.ConnectionEditPart`
Overrides:
  `setTarget` in class `org.eclipse.gef.editparts.AbstractConnectionEditPart`

#### getTargetEditPart

    public org.eclipse.gef.EditPart getTargetEditPart(org.eclipse.gef.Request request)

Specified by:
  `getTargetEditPart` in interface `org.eclipse.gef.EditPart`
Overrides:
  `getTargetEditPart` in class `ConnectionEditPart`

#### setSelected

    public void setSelected(int value)

Specified by:
  `setSelected` in interface `org.eclipse.gef.EditPart`
Overrides:
  `setSelected` in class `org.eclipse.gef.editparts.AbstractEditPart`

#### getEditParts

    public Collection<org.eclipse.gef.ConnectionEditPart> getEditParts()

#### getOriginallySelectedChild

    public ConnectionEditPart getOriginallySelectedChild()

Returns the child connection that has been selected originally. The complete selection has been enhanced to be the complete composite connection (including all child connections), but the originally selected child will be added to the custom context in case the user needs the info which part of the composite connection has been clicked.

Returns:
  the `ConnectionEditPart` that has been selected originally

#### setOriginallySelectedChild

    public void setOriginallySelectedChild(ConnectionEditPart originallySelectedChild)

Sets the child connection that has been selected originally.

Parameters:
  `originallySelectedChild` - the `ConnectionEditPart` that was selected originally
See Also:
  `getOriginallySelectedChild()`

#### forceVisualRefresh

    public void forceVisualRefresh()

Specified by:
  `forceVisualRefresh` in interface `IConnectionEditPart`
Overrides:
  `forceVisualRefresh` in class `ConnectionEditPart`